#ifndef CLOCKWIDGET_H
#define CLOCKWIDGET_H

#include <QtCore/QtCore>
#include <QtGui/QtGui>

class ClockWidget : public QWidget
{
	Q_OBJECT
	
	QFont _renderFont;
	
	int _seconds;
	bool _paused;
	
	public:
    explicit ClockWidget(QWidget *parent = 0);
		
		QSize sizeHint() const;
		
	protected:
		void paintEvent(QPaintEvent * event);
		void timerEvent(QTimerEvent * event);
		void mouseDoubleClickEvent(QMouseEvent * event);
		void mouseReleaseEvent(QMouseEvent * event);

};

#endif
