#ifndef PREVIEWNEXTPAGEWIDGET_H
#define PREVIEWNEXTPAGEWIDGET_H

#include "widgets/ViewportWidget.h"

class PreviewNextPageWidget : public ViewportWidget
{
	Q_OBJECT
	private:
	
	public:
		explicit PreviewNextPageWidget(QWidget *parent = 0);

		//QSize sizeHint() const;
		
	protected:

		void paintEvent(QPaintEvent *event);

		const QImage slide();
		Document::Viewports viewport();
	
		QSize viewportSize()
		{
			return ViewportWidget::viewportSize()-QSize(10,10);
		}
		
	signals:

	public slots:
		
		void requestPage(int pageNum);
		void viewportIsReady(Viewports viewport, int page, QSize size);
				
		
};

#endif // PREVIEWNEXTPAGEWIDGET_H
