#ifndef WAITINGINDICATOR_H
#define WAITINGINDICATOR_H

#include <QtCore/QtCore>
#include <QtGui/QtGui>

class WaitingIndicator : public QWidget
{
	Q_OBJECT
	
	private:
		qreal _phase;
		qreal _opacity;
		qreal _deltaOpacity;
		
		int _steps;
		
		int _timerId;
	
	public:
		explicit WaitingIndicator(QWidget *parent = 0);

	protected:
		void paintEvent(QPaintEvent * event);
		void timerEvent(QTimerEvent * event);
		
	signals:

	public slots:
		void show();
		void hide();

};

#endif // WAITINGINDICATOR_H
